Skip to main content
GET
/
conversations
List inbox conversations
curl --request GET \
  --url https://api.tinyinbox.app/conversations \
  --header 'Authorization: Bearer <token>'
{
  "conversations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "siteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "visitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "open",
      "lastMessageAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "visitorExternalId": "<string>",
      "siteName": "<string>",
      "pageUrl": "<string>",
      "lastMessagePreview": "<string>",
      "lastReadByOwnerAt": "2023-11-07T05:31:56Z",
      "visitorName": "<string>",
      "visitorEmail": "jsmith@example.com"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tinyinbox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Signed user session token for dashboard and account routes.

Query Parameters

status
enum<string>
Available options:
open,
closed
siteId
string<uuid>

Response

Conversation list

conversations
object[]
required